extends Control

@onready var leaderboard_button = $Buttons/Leaderboard
@onready var quit_button = $Buttons/Quit

func _ready():
	leaderboard_button.disabled = not Leaderboard.exists()
	if OS.get_name() not in ["Windows", "macOS", "Linux"]:
		quit_button.visible = false

func _on_new_game_pressed():
	get_tree().change_scene_to_file("res://screens/game.tscn")

func _on_quit_pressed():
	get_tree().quit()

func _on_settings_pressed():
	get_tree().change_scene_to_file("res://screens/settings_menu.tscn")
